# Used for development only

version: '3.9'

services:
  {{ project_slug }}-backend:
    build: .
    volumes: [ '.:/app' ]
    ports: [ '8000:80' ]
    depends_on:
      - {{ project_slug }}-db-backend
    networks:
      - {{ project_slug }}-db-backend
      {% if use_auth_service %}
      - {{ project_slug }}-auth
      {% endif %}
    env_file:
      - config/.env

  {{ project_slug }}-db-backend:
    image: postgres:16-bookworm
    volumes: [ '{{ project_slug }}-db-backend:/var/lib/postgresql/data' ]
    networks:
      - {{ project_slug }}-db-backend
    env_file:
      - config/.env
    ports:
      - '5432:5432'

{% if use_auth_service %}
  auth:
    image: registry.gitlab.com/fruktorum/backend/tools/authorization/auth_service:{{ project_slug }}
    init: true
    ports: [ '3001:80' ]
    depends_on: [ db-auth ]
    networks:
      - {{ project_slug }}-auth
      - {{ project_slug }}-db-auth
    restart: unless-stopped
    environment:
      KEMAL_ENV: development

      SECRET_PASSWORD_KEY: dfh243f9h49fy498f4938yb
      SECRET_JWT_KEY: f57bd4c320f68c643eb3ddfcf5699851

      EXTERNAL_CALLBACK_URL: http://{{ project_slug }}-backend
      EXTERNAL_LOGIC_VERIFY: 'false'

      DB_HOST: db-auth
      DB_PORT: 5432
      DB_NAME: {{ project_slug }}-auth-db
      DB_USER: {{ project_slug }}-user
      DB_PASSWORD: pass1234
    logging:
      driver: json-file
      options:
        max-size: 50M
        max-file: '10'

  db-auth:
    image: postgres:15.1-alpine3.17
    volumes: [ '{{ project_slug }}-db-auth:/var/lib/postgresql/data' ]
    networks: [ {{ project_slug }}-db-auth ]
    environment:
      POSTGRES_DB: {{ project_slug }}-auth-db
      POSTGRES_USER: {{ project_slug }}-user
      POSTGRES_PASSWORD: pass1234
    logging:
      driver: json-file
      options:
        max-size: 10M
        max-file: '10'

{% endif %}

volumes:
  {{ project_slug }}-db-backend:
    name: {{ project_slug }}-db-backend
  {% if use_auth_service %}
  {{ project_slug }}-db-auth:
    name: {{ project_slug }}-db-auth
  {% endif %}

networks:
  {{ project_slug }}-db-backend:
    name: {{ project_slug }}-db-backend
  {% if use_auth_service %}
  {{ project_slug }}-auth:
    name: {{ project_slug }}-auth
  {{ project_slug }}-db-auth:
    name: {{ project_slug }}-db-auth
  {% endif %}
